/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.sample.pdf.report.items;

/**
 * PDF 項目群。
 */
public class Yoko01PdfReportBlock01Items {
    /**
     * フィールド: [Aaa]。
     */
    private String fAaa;

    /**
     * フィールド: [Bbb]。
     */
    private String fBbb;

    /**
     * フィールド [Aaa] の値を設定します。
     *
     * @param argAaa フィールド[Aaa]に設定する値。
     */
    public void setAaa(final String argAaa) {
        fAaa = argAaa;
    }

    /**
     * フィールド [Aaa] の値を取得します。
     *
     * @return フィールド[Aaa]から取得した値。
     */
    public String getAaa() {
        return fAaa;
    }

    /**
     * フィールド [Bbb] の値を設定します。
     *
     * @param argBbb フィールド[Bbb]に設定する値。
     */
    public void setBbb(final String argBbb) {
        fBbb = argBbb;
    }

    /**
     * フィールド [Bbb] の値を取得します。
     *
     * @return フィールド[Bbb]から取得した値。
     */
    public String getBbb() {
        return fBbb;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.sample.pdf.report.items.Yoko01PdfReportBlock01Items[");
        buf.append("Aaa=" + fAaa);
        buf.append(",Bbb=" + fBbb);
        buf.append("]");
        return buf.toString();
    }
}
